
Redmine - Feature #14387

Allow "live" time tracking on tickets by adding "Start work" and "Stop work" buttons/icons

2013-07-02 17:35 - Anonymous

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Time tracking is one of the most hated (and needed) features of project/task management. An elegant way to support easy time

tracking is to do time tracking by pressing "Start work" and "Stop work" when working on a ticket (ideally would also been "Pause").

Currently the redmine-user has to write down the time when started working on a ticket, when stopped working and then calculate

time spent and finally add this to the redmine ticket.

I currently am using the start/stop functionality in an other product to track my time. An additional effect is, that "live" booking time

onto a ticket also helps me to stay focussed on this work (and resist to distractions).

If implementing that, you have to think about parallel tickets being booked time on. If allowed, there has to be a possibility to find all

your "current" tickets you are spending time on. If there is only one, you should (maybe in "activity") be able to navigate to this.

Thanks a lot

Related issues:

Has duplicate Redmine - Feature #14472: Allow "live" time tracking on tickets... Closed

History

#1 - 2013-07-08 13:25 - Anonymous

Bought just "Mastering Redmine" (http://www.redmine.org/news/80): the following plugin seems to provide exactly the desired functionality: 

https://github.com/martinllanos/redmine_time_tracker

Thanks!

#2 - 2013-07-10 13:23 - Anonymous

- Status changed from New to Resolved

#3 - 2013-07-17 08:30 - Anonymous

tried time tracker plugin (Delaitre, 0.4 (2011-01-17)): only compatible with redmine 1.x --> issue reopened. Maybe someone to update the plugin?

thanks a lot!

W.

#4 - 2013-07-17 14:11 - Jan Niggemann (redmine.org team member)

- Has duplicate Feature #14472: Allow "live" time tracking on tickets by adding "Start work" and "Stop work" buttons/icons  added

#5 - 2013-07-17 14:31 - Anonymous

Jan, as I was not able to reopen this issue #14387 (after having set it erroneously to "resolved"), i opened a new one (#14472). now you closed the

new one as "duplicate". This is Ok if you reopen #14387.

Thanks

W.

#6 - 2013-07-19 06:55 - Toshi MARUYAMA

- Status changed from Resolved to New

#7 - 2013-07-19 06:55 - Toshi MARUYAMA
- Has duplicate deleted (Feature #14472: Allow "live" time tracking on tickets by adding "Start work" and "Stop work" buttons/icons )

#8 - 2013-07-19 06:57 - Toshi MARUYAMA

- Has duplicate Feature #14472: Allow "live" time tracking on tickets by adding "Start work" and "Stop work" buttons/icons  added

#9 - 2013-08-08 11:44 - Selim Arslan

Hello,

I think it would be a good solution if the Spent time is automatically recorded. Is it possible to incorporate this function without a plugin to buy?

Redmine 2.3.2

#10 - 2013-08-08 12:13 - Selim Arslan

- File image.jpg added

Like this

#11 - 2013-08-08 12:17 - Thomas Godard

You can follow this thread : http://www.redmine.org/boards/1/topics/38852.

When it will be fully finished, it might satisfy your demand.

#12 - 2013-08-08 14:03 - Selim Arslan

Hi I'll try it first with mac. Is also your source code released?

#13 - 2013-08-08 14:08 - Thomas Godard

I am not the creator of this plugin. I just think it might help you. Ask your questions there : http://www.redmine.org/boards/1/topics/38852. The creator

of this plugin is often logged on.
